<template>
    <view>
        <!-- 订单详情 -->
        <store-order-details :info="info" :listType="newType" />
    </view>
</template>

<script>
    import { deliverDetails, orderDetails } from '@/apis/interfaces/store'
    import storeOrderDet from '@/components/store-order-details/store-order-details'
	export default {
        comments:{
        	storeOrderDet
        },
		data() {
			return {
				info    : '',
                newType : ''
			}
		},
        created() {
            this.newType = this.$Route.query.type
            if(this.$Route.query.type == 'deliver') {
                deliverDetails(this.$Route.query.id).then(res=>{
                    this.info = res
                })
                return
            }
            orderDetails(this.$Route.query.id).then(res=>{
                this.info = res
            })
            
        },
		methods: {}
	}
</script>

<style lang="scss" scoped></style>
